# Uses of Interface
java.beans.VetoableChangeListener

Packages that use VetoableChangeListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
java.beans.beancontext
Provides classes and interfaces relating to bean context.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of VetoableChangeListener in com.sun.java.accessibility.util

Methods in com.sun.java.accessibility.util with parameters of type VetoableChangeListener
Modifier and Type
Method
Description
`static void`
SwingEventMonitor.`addVetoableChangeListener(VetoableChangeListener l)`
Adds the specified listener to receive all `VETOABLECHANGE` events on each component instance in the Java Virtual Machine as they occur.
`static void`
SwingEventMonitor.`removeVetoableChangeListener(VetoableChangeListener l)`
Removes the specified listener so it no longer receives `VETOABLECHANGE` events when they occur.

## Uses of VetoableChangeListener in java.awt

Methods in java.awt that return VetoableChangeListener
Modifier and Type
Method
Description
`VetoableChangeListener[]`
KeyboardFocusManager.`getVetoableChangeListeners()`
Returns an array of all the vetoable change listeners registered on this keyboard focus manager.
`VetoableChangeListener[]`
KeyboardFocusManager.`getVetoableChangeListeners(String propertyName)`
Returns an array of all the `VetoableChangeListener`s associated with the named property.
Methods in java.awt with parameters of type VetoableChangeListener
Modifier and Type
Method
Description
`void`
KeyboardFocusManager.`addVetoableChangeListener(VetoableChangeListener listener)`
Adds a VetoableChangeListener to the listener list.
`void`
KeyboardFocusManager.`addVetoableChangeListener(String propertyName, VetoableChangeListener listener)`
Adds a VetoableChangeListener to the listener list for a specific property.
`void`
KeyboardFocusManager.`removeVetoableChangeListener(VetoableChangeListener listener)`
Removes a VetoableChangeListener from the listener list.
`void`
KeyboardFocusManager.`removeVetoableChangeListener(String propertyName, VetoableChangeListener listener)`
Removes a VetoableChangeListener from the listener list for a specific property.

## Uses of VetoableChangeListener in java.beans

Classes in java.beans that implement VetoableChangeListener
Modifier and Type
Class
Description
`class`
`VetoableChangeListenerProxy`
A class which extends the `EventListenerProxy` specifically for adding a `VetoableChangeListener` with a "constrained" property.
Subclasses with type arguments of type VetoableChangeListener in java.beans
Modifier and Type
Class
Description
`class`
`VetoableChangeListenerProxy`
A class which extends the `EventListenerProxy` specifically for adding a `VetoableChangeListener` with a "constrained" property.
Methods in java.beans that return VetoableChangeListener
Modifier and Type
Method
Description
`VetoableChangeListener[]`
VetoableChangeSupport.`getVetoableChangeListeners()`
Returns an array of all the listeners that were added to the VetoableChangeSupport object with addVetoableChangeListener().
`VetoableChangeListener[]`
VetoableChangeSupport.`getVetoableChangeListeners(String propertyName)`
Returns an array of all the listeners which have been associated with the named property.
Methods in java.beans with parameters of type VetoableChangeListener
Modifier and Type
Method
Description
`void`
VetoableChangeSupport.`addVetoableChangeListener(VetoableChangeListener listener)`
Add a VetoableChangeListener to the listener list.
`void`
VetoableChangeSupport.`addVetoableChangeListener(String propertyName, VetoableChangeListener listener)`
Add a VetoableChangeListener for a specific property.
`void`
VetoableChangeSupport.`removeVetoableChangeListener(VetoableChangeListener listener)`
Remove a VetoableChangeListener from the listener list.
`void`
VetoableChangeSupport.`removeVetoableChangeListener(String propertyName, VetoableChangeListener listener)`
Remove a VetoableChangeListener for a specific property.
Constructors in java.beans with parameters of type VetoableChangeListener
Modifier
Constructor
Description
``
`VetoableChangeListenerProxy(String propertyName, VetoableChangeListener listener)`
Constructor which binds the `VetoableChangeListener` to a specific property.

## Uses of VetoableChangeListener in java.beans.beancontext

Classes in java.beans.beancontext that implement VetoableChangeListener
Modifier and Type
Class
Description
`class`
`BeanContextServicesSupport`
Deprecated, for removal: This API element is subject to removal in a future version.
`class`
`BeanContextSupport`
Deprecated, for removal: This API element is subject to removal in a future version.
Methods in java.beans.beancontext that return VetoableChangeListener
Modifier and Type
Method
Description
`protected static final VetoableChangeListener`
BeanContextSupport.`getChildVetoableChangeListener(Object child)`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the VetoableChangeListener (if any) of the specified child
Methods in java.beans.beancontext with parameters of type VetoableChangeListener
Modifier and Type
Method
Description
`void`
BeanContextChild.`addVetoableChangeListener(String name, VetoableChangeListener vcl)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds a `VetoableChangeListener` to this `BeanContextChild` to receive events whenever the specified property changes.
`void`
BeanContextChildSupport.`addVetoableChangeListener(String name, VetoableChangeListener vcl)`
Deprecated, for removal: This API element is subject to removal in a future version.
Add a VetoableChangeListener for a specific property.
`void`
BeanContextChild.`removeVetoableChangeListener(String name, VetoableChangeListener vcl)`
Deprecated, for removal: This API element is subject to removal in a future version.
Removes a `VetoableChangeListener` from this `BeanContextChild` so that it no longer receives events when the specified property changes.
`void`
BeanContextChildSupport.`removeVetoableChangeListener(String name, VetoableChangeListener vcl)`
Deprecated, for removal: This API element is subject to removal in a future version.
Removes a `VetoableChangeListener`.

## Uses of VetoableChangeListener in javax.swing

Methods in javax.swing that return VetoableChangeListener
Modifier and Type
Method
Description
`VetoableChangeListener[]`
JComponent.`getVetoableChangeListeners()`
Returns an array of all the vetoable change listeners registered on this component.
Methods in javax.swing with parameters of type VetoableChangeListener
Modifier and Type
Method
Description
`void`
JComponent.`addVetoableChangeListener(VetoableChangeListener listener)`
Adds a `VetoableChangeListener` to the listener list.
`void`
JComponent.`removeVetoableChangeListener(VetoableChangeListener listener)`
Removes a `VetoableChangeListener` from the listener list.